Subject: Color-coded output from autoconf/automake (was Re: bug#33779: Wrong lib-list in install-%DIR%LTLIBRARIES)

From: "Zack Weinberg" <[email-masked]>
Date: Mon, 23 Jan 2023 09:28:19 -0500

On Mon, Jan 23, 2023, at 4:38 AM, Bert Wesarg via Bug reports for Automake wrote:
> On Fri, Jan 13, 2023 at 6:58 AM Mike Frysinger <[email-masked]> wrote:
> No, I don't have one. It just crossed my eyes while working on more
> silent rules in Automake. I made Ben recently aware of these changes,
> which are availalbe here:
>
> https://github.com/bertwesarg/automake/commits/more-and-colorful-silence
>
> and also Autoconf is now more colorful:
>
> https://github.com/bertwesarg/autoconf/commits/color

Both of those URLs are 404 for me.

FYI, with my Autoconf hat on, I will not be inclined to take patches that hardcode "ANSI" terminal control codes.  $TERM must be honored in detail.  The easiest way to do that is probably to probe for the existence of the `tput` command and then use that to set shell variables with all the necessary control codes.  When working on patches for Automake, also keep in mind that $TERM might change between "./configure" and "make".

zw